From 2f77a84812705e43f96581f7459ff9fd7f736c81 Mon Sep 17 00:00:00 2001
From: Nils Philippsen <nils@redhat.com>
Date: Dec 11 2017 13:50:44 +0000
Subject: [PATCH 24/51] let check_is_(dict|scalar) accept multiple values


Makes it easier to check whole ranges of values.

---

diff --git a/src/_fedmod/modulemd_linter.py b/src/_fedmod/modulemd_linter.py
index f492de3..40b82ef 100644
--- a/src/_fedmod/modulemd_linter.py
+++ b/src/_fedmod/modulemd_linter.py
@@ -214,13 +214,15 @@ class ModuleMDLinter(object):
         """Check that a value is not True or true-like."""
         self.check_true(not expr)
 
-    def check_is_scalar(self, value):
-        """Check that a value is of a scalar type."""
-        self.check_true(isinstance(value, self.yaml_scalar_types))
+    def check_is_scalar(self, *values):
+        """Check that 0..n values are of a scalar type."""
+        for value in values:
+            self.check_true(isinstance(value, self.yaml_scalar_types))
 
-    def check_is_dict(self, value):
-        """Check that a value is a dictionary."""
-        self.check_true(isinstance(value, dict))
+    def check_is_dict(self, *values):
+        """Check that 0..n values are of a dictionary type."""
+        for value in values:
+            self.check_true(isinstance(value, dict))
 
     # lint checks below
 
@@ -350,8 +352,8 @@ class ModuleMDLinter(object):
         """Modules MAY depend on other modules. These module relationships are
         listed in the dependencies block. Dependencies are expressed using
         module names and their stream names."""
-        for v in self.mmd['dependencies']['buildrequires'].values():
-            self.check_is_scalar(v)
+        self.check_is_scalar(
+            *self.mmd['dependencies']['buildrequires'].values())
 
     @error
     @guidelines_link('#Module_dependencies')
@@ -373,8 +375,7 @@ class ModuleMDLinter(object):
         """Modules MAY depend on other modules. These module relationships are
         listed in the dependencies block. Dependencies are expressed using
         module names and their stream names."""
-        for v in self.mmd['dependencies']['requires'].values():
-            self.check_is_scalar(v)
+        self.check_is_scalar(*self.mmd['dependencies']['requires'].values())
 
     @error
     @guidelines_link('#Extensible_module_metadata_block')

